Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » BUild Rap runtime from source (RAP runtime local build )
BUild Rap runtime from source [message #1822943] Tue, 17 March 2020 08:07 Go to next message
Anuradha G is currently offline Anuradha GFriend
Messages: 18
Registered: October 2010
Junior Member
I try to build Rap runtime from https://github.com/eclipse/rap.

As of Readme all i need t do is just run `mvn clean verify`

however on mac I get

```
Computing target platform for MavenProject: org.eclipse.rap:org.eclipse.rap.rwt:3.12.0-SNAPSHOT @ /Users/anuradhagunasekara/development/repository/github/rap/bundles/org.eclipse.rap.rwt/pom.xml
[INFO] Resolving dependencies of MavenProject: org.eclipse.rap:org.eclipse.rap.rwt:3.12.0-SNAPSHOT @ /Users/anuradhagunasekara/development/repository/github/rap/bundles/org.eclipse.rap.rwt/pom.xml
[INFO] {osgi.os=macosx, osgi.ws=cocoa, org.eclipse.update.install.features=true, osgi.arch=x86_64}
[ERROR] Cannot resolve project dependencies:
[ERROR] Software being installed: org.eclipse.rap.rwt 3.12.0.qualifier
[ERROR] Missing requirement: org.eclipse.rap.rwt 3.12.0.qualifier requires 'package javax.servlet [2.3.0,5.0.0)' but it could not be found
[ERROR]
[ERROR] See http://wiki.eclipse.org/Tycho/Dependency_Resolution_Troubleshooting for help.
[ERROR] Cannot resolve dependencies of MavenProject: org.eclipse.rap:org.eclipse.rap.rwt:3.12.0-SNAPSHOT @ /Users/anuradhagunasekara/development/repository/github/rap/bundles/org.eclipse.rap.rwt/pom.xml: See log for details -> [Help 1]
[ERROR]

```
Re: BUild Rap runtime from source [message #1822945 is a reply to message #1822943] Tue, 17 March 2020 08:56 Go to previous messageGo to next message
Markus Knauer is currently offline Markus KnauerFriend
Messages: 179
Registered: July 2009
Senior Member

Yes, you are right, I can reproduce this behavior with Java 11.

We still use a 1.8 JVM to build RAP as this is our defined target environment. Although it is theoretically possible to use a higher version of the JVM to build than the execution environment later, this makes everything a lot easier.

If you really need to build RAP from the source code, I recommend downgrading your JVM for now.
In the long run, my job is to overhaul the entire build and bring it up to date. Perhaps we have the necessary time for 3.13, but it is already too late for 3.12.

Thanks and regards,
Markus


--

Twitter: @mknauer23 and @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: BUild Rap runtime from source [message #1822949 is a reply to message #1822945] Tue, 17 March 2020 09:54 Go to previous messageGo to next message
Anuradha G is currently offline Anuradha GFriend
Messages: 18
Registered: October 2010
Junior Member
thanks for prompt reply
export JAVA_HOME=`/usr/libexec/java_home -v1.8`
$ java -version

now show

java version "1.8.0_141"
Java(TM) SE Runtime Environment (build 1.8.0_141-b15)
Java HotSpot(TM) 64-Bit Server VM (build 25.141-b15, mixed mode



mvn -version
Apache Maven 3.6.1 (d66c9c0b3152b2e69ee9bac180bb8fcc8e6af555; 2019-04-05T00:30:29+05:30)
Maven home: /usr/local/Cellar/maven/3.6.1/libexec
Java version: 1.8.0_141, vendor: Oracle Corporation, runtime: /Library/Java/JavaVirtualMachines/jdk1.8.0_141.jdk/Contents/Home/jre
Default locale: en_US, platform encoding: UTF-8
OS name: "mac os x", version: "10.14.6", arch: "x86_64", family: "mac"


I'm still getting same issue, did I miss anything ?

[Updated on: Tue, 17 March 2020 09:56]

Report message to a moderator

Re: BUild Rap runtime from source [message #1822953 is a reply to message #1822949] Tue, 17 March 2020 10:20 Go to previous messageGo to next message
Markus Knauer is currently offline Markus KnauerFriend
Messages: 179
Registered: July 2009
Senior Member

There is one more thing...

My successful test was using one of my older Maven installations on disk:

$ mvn -version
Apache Maven 3.3.9 (bb52d8502b132ec0a5a3f4c09453c07478323dc5; 2015-11-10T17:41:47+01:00)
Maven home: /opt/maven/apache-maven-3.3
Java version: 11.0.6, vendor: Ubuntu
Java home: /usr/lib/jvm/java-11-openjdk-amd64
Default locale: en_GB, platform encoding: UTF-8
OS name: "linux", version: "5.3.0-7642-generic", arch: "amd64", family: "unix"


But when I am using the same version as you did I can reproduce your error

$ mvn -version
Apache Maven 3.6.1
Maven home: /usr/share/maven
Java version: 11.0.6, vendor: Ubuntu, runtime: /usr/lib/jvm/java-11-openjdk-amd64
Default locale: en_GB, platform encoding: UTF-8
OS name: "linux", version: "5.3.0-7642-generic", arch: "amd64", family: "unix"


As I said: Something to fix by an overhaul of the build system.
At the moment I don't think it can cause any problems when someone consumes the binary builds.

Regards,
Markus


--

Twitter: @mknauer23 and @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: BUild Rap runtime from source [message #1822954 is a reply to message #1822953] Tue, 17 March 2020 10:23 Go to previous messageGo to next message
Anuradha G is currently offline Anuradha GFriend
Messages: 18
Registered: October 2010
Junior Member
ah let me try downgrade my maven as workaround.

just backstory

Im trying to fix https://bugs.eclipse.org/bugs/show_bug.cgi?id=561155 and possible provide patch
Re: BUild Rap runtime from source [message #1822957 is a reply to message #1822953] Tue, 17 March 2020 10:49 Go to previous message
Anuradha G is currently offline Anuradha GFriend
Messages: 18
Registered: October 2010
Junior Member
Apache Maven 3.3.9 did the trick however I report a bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=561185

[Updated on: Tue, 17 March 2020 10:53]

Report message to a moderator

Previous Topic:ClassCastException layout.GridData cannot cast to FillData in RAP 3.11
Next Topic:Chrome does reuse HTTP Connection for F5 -> old session isn't destroyed
Goto Forum:
  


Current Time: Fri Jun 21 06:33:35 GMT 2024

Powered by FUDForum. Page generated in 0.04590 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top